package com.ruoyi.bar.service;

import com.ruoyi.bar.domain.WyFavoriteBeer;
import com.ruoyi.bar.domain.WyFavoriteBrewery;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import java.util.List;

public interface IWyFavoriteService {
    public List<WyFavoriteBeer> selectWyFavoriteBeerList(WyFavoriteBeer wyFavoriteBeer);

    WyFavoriteBeer selectWyFavoriteBeerByBeerIdAndUserId(@Param("beerId") Long beerId, @Param("userId") Long userId);

    int insertWyFavoriteBeer(WyFavoriteBeer wyFavoriteBeer);

    int deleteWyFavoriteBeerByBeerIdAndUserId(@Param("beerId") Long beerId, @Param("userId") Long userId);

    List<WyFavoriteBrewery> selectWyFavoriteBreweryList(WyFavoriteBrewery wyFavoriteBrewery);

    WyFavoriteBrewery selectWyFavoriteBreweryByBreweryIdAndUserId(@Param("breweryId") Long breweryId, @Param("userId") Long userId);

    int insertWyFavoriteBrewery(WyFavoriteBrewery wyFavoriteBrewery);

    int deleteWyFavoriteBreweryByBreweryIdAndUserId(@Param("breweryId") Long breweryId, @Param("userId") Long userId);
}
